Update the owner of a task
POST https://{controlplane_path}/api/1/rest/public/assetapi/update/owner
Overview
This API updates the owner of a task.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
Query parameters
None.
Request header
Basic authentication
To use basic authentication, specify Basic for authorization in the request
header, add your credentials (email and password for your SnapLogic user or service account), and
specify application/json for content type. For example:
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of basic authentication using Postman:
Learn more about the basic authentication header in REST API requests.
JWT authentication
When using JWT authentication, the API request includes specific headers. In the request header,
specify Bearer Token for authorization, add the token, and specify
application/json for content type. These headers are automatically added when
you configure bearer token authentication in your API client. The authorization header contains
the word Bearer followed by a space and your JWT.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authentication using Postman:
Request body
{
"asset_path" : "/Automation2/Rachana/Test/task",
"asset_type" : "Job",
"project_path" : "/Automation2/Rachana/Test/",
"new_owner" : "[email protected]"
}
| Key | Type | Description |
|---|---|---|
asset_path |
string | Required. The path to the asset. Format:
|
asset_type |
string | Must be set to Job (case-sensitive).
Note: All tasks in the specified project path will be assigned to the new owner.
|
project_path |
string |
Required.
The path to the SnapLogic project.
Format:
Important: The path comparison is case-sensitive.
|
new_owner |
string | The user ID of the new owner. |
Response
{
"success": [
"/Automation2/Rachana/Test/task"
],
"failed": []
}
| Key | Type | Description |
|---|---|---|
success |
array | An array of strings containing the paths of the assets that were successfully updated. |
failed |
array | An array of strings containing the paths of the assets that were not updated. |